﻿@model Web.Models.Project
@{ Layout = null;}
@using Web.Converter
<div id="replacepanel" data-url="@Url.Action("Links","Link",new { projectId = Model.Id})">
    @*<a href="@Url.Action("Links","Link",new { projectId = Model.Id})"></a>*@
    @foreach (var link in Model.Links)
    {
        //string @linkUrl = @Url.Action("Follow", "Link", new { linkId = @link.Id }, "https");
        string @linkUrl = Context.Request.Scheme + "://" + Context.Request.Host +
            Url.Content($"~/i{ShortStringConverter.IntToString(link.Id)}");

            <div class="bg-dark d-flex justify-content-between w-100 m-1">
                <div class="" style="width:70%">
                    <div class="d-flex" style="">
                        @if (link.IsActive == true)
                        {
                            <img title="Активно" src="~/images/Ok.svg" alt="ASP.NET" class="img-responsive m-1" />
                        }
                        else
                        {
                            <img title="Не активно" src="~/images/close.svg" alt="ASP.NET" class="img-responsive m-1" />
                        }
                        <div class="text-white pl-1" style="font-size:22px;">@link.Name</div>
                    </div>
                    <div class="align-self-end" style="color:#BABABA">
                        <p class="m-0" style="text-wrap:normal;">@link.Description</p>
                    </div>
                    <div class="align-self-end text-cropping">
                        <a href="@link.Url" class="text-primary" target="_blank">
                            @link.Url
                        </a>
                    </div>

                    <div class="d-flex p-0">
                        <div class="" data-toggle="collapse" data-target="#collapseExample@(link.Id)"
                             aria-expanded="false" aria-controls="collapseExample">
                            <img title="Показать" src="~/images/ArrowDown.svg" alt="ASP.NET" 
                                 class="img-responsive hover-inc ml-2" style="height:15px"/>
                        </div>
                        <div class="align-self-end text-cropping text-white hover-cursor-pointer ml-2 p-0 btn"
                             title="@linkUrl"
                             onclick="Copy('@linkUrl')">
                            Скопировать короткую ссылку(htt..)
                        </div>
                    </div>
                    <div class="collapse text-primary" id="collapseExample@(link.Id)">
                        @linkUrl
                    </div>
                </div>
                <div class="d-flex align-items-center mr-1" style="color:#BABABA">
                    <div>
                        <div>
                            @link.DateCreate.Date.ToString("MM/dd/yyyy")
                        </div>
                        <div>
                            @link.CountClick кликов
                        </div>
                    </div>

                    @*<a onclick="Copy('@linkUrl')">
                        <img title="Скопировать короткую ссылку" src="~/images/Duplicate.svg" alt="ASP.NET" class="img-responsive hover-inc ml-2" />
                    </a>*@
                    <div type="button" class="ajax-modal" data-url="@Url.Action("Edit","Link",new { id = link.Id})">
                        <img title="Редактировать" src="~/images/Edit.svg" alt="ASP.NET" class="img-responsive hover-inc ml-2" />
                    </div>
                    <div type="button" class="ajax-modal" data-url="@Url.Action("Delete","Link",new { id = link.Id})">
                        <img title="Удалить" src="~/images/Remove.svg" alt="ASP.NET" class="img-responsive hover-inc ml-2" />
                    </div>
                </div>
            </div>
    }
</div>
